<?php
declare(strict_types=1);

namespace CatequilTest\Cli\Command;

use Symfony\Component\Console\Attribute\AsCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

use function array_walk;
use function get_loaded_extensions;

/**
 * Class PhpModules
 *
 * @package CatequilTest\Cli\Command
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-cli
 */
#[AsCommand(
    name: 'php:extensions',
    description: 'Lists loaded PHP extensions.',
    aliases: ['php:modules'],
    hidden: false
)]
final class PhpModules extends Command
{
    /**
     * @param InputInterface $input
     * @param OutputInterface $output
     *
     * @return int
     */
    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $extensions = get_loaded_extensions();
        array_walk($extensions, [$output, 'writeLn']);

        return Command::SUCCESS;
    }
}
