<?php
declare(strict_types=1);

namespace CatequilTest\Cli;

use Catequil\Cli\ConfigProvider;
use Catequil\Tool\Metadata\MetadataManager;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ServiceManager\ServiceManager;

$config = (new ConfigAggregator([
    \Catequil\Tool\ConfigProvider::class,
    ConfigProvider::class,

    new ArrayProvider([
        MetadataManager::class => [
            'paths' => [
                __DIR__ . '/Command',
            ],
        ],
        'dependencies' => [
            'invokables' => [
                Command\PhpModules::class,
            ],
        ],
    ]),
]))->getMergedConfig();

$config['dependencies']['services']['config'] = $config;
return new ServiceManager($config['dependencies']);
